﻿@font-face {
    font-family: Digital; /* Имя шрифта */
    src: url(../fonts/DSDIGI.woff); /* Путь к файлу со шрифтом */
}

body, html
{
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Segoe UI';
    font-weight: 300;
}

.interface-bottom-panel
{
    position: absolute;
    width: 500px;
    height: 100px;
    left: calc(50% - 250px);
    background: url(../img/interface/bg.png);
    border-radius: 5px 5px 0 0;
    box-shadow: 0 5px 7px rgba(0, 0, 0, 0.65);
    border: 1px solid rgba(99, 99, 99, 0.55);
    bottom: 0;
}

.interface-bottom-panel_user-stats
{
    position: absolute;
    left: calc(50% - 150px);
    bottom: 100px;
    height: 33px;
    width: 300px;
    border-radius: 5px 5px 0 0;
    background: url(../img/interface/bg.png);
    border-top: 1px solid rgba(99, 99, 99, 0.55);
    border-left: 1px solid rgba(99, 99, 99, 0.55);
    border-right: 1px solid rgba(99, 99, 99, 0.55);
}

    .interface-bottom_username
    {
        color: #fff;
        float: left;
        width: 50%;
        text-align: center;
        border: 1px solid #f39c12;
        border-radius: 5px;
        margin-left: 26px;
        font-size: 14px;
    }

    .interface-bottom-money_wallet-icon
    {
        background: url(../img/interface/wallet.png) no-repeat;
        background-size: 100%;
        height: 12px;
        width: 12px;
        float: left;
        margin-right: 4px;
        margin-top: 2px;
    }

    .interface-bottom-money
    {
        color: #8BC34A;
        float: right;
        margin-right: 19px;
        font-size: 12px;
    }

.interface-bottom-panel_bar-wrapper
{
    width: 31%;
    margin: 0 auto;
    display: inline-block;
    text-align: left;
    color: #fff;
    font-size: 12px;
}

.interface-bottom-panel_hunger-points
{
    
    height: 10px;
    background: rgba(255, 235, 0, 0.19);
    border-radius: 2px;
    margin-top: 3px;
}

    .interface-bottom_pizza-icon
    {
        background: url(../img/interface/pizza.png) no-repeat;
        background-size: 100%;
        height: 14px;
        width: 14px;
        float: left;
        margin-right: 2px;
        margin-top: 2px;
    }

    .interface-bottom-panel_hunger-points-bar
    {
        height: 10px;
        background: #ffeb00;
        border-radius: 2px;
    }

.interface-bottom-panel_hotkey-icon
{
    color: #fff;
    position: absolute;
    right: 0;
    background: #F44336;
    padding: 0px 5px;
    font-size: 9px;
    border-radius: 50%;
}

.interface-bottom-panel-wrapper
{
        text-align: center;
}

.interface-bottom-panel_thirst-points
{
    height: 10px;
    background: rgba(3, 169, 244, 0.24);
    border-radius: 2px;
    margin-top: 3px;
}

    .interface-bottom_water-icon
    {
        background: url(../img/interface/water.png) no-repeat;
        background-size: 100%;
        height: 14px;
        width: 14px;
        float: left;
        margin-top: 2px;
    }

    .interface-bottom-panel_thirst-points-bar
    {
        height: 10px;
        background: #03A9F4;
        border-radius: 2px;
    }

.interface-bottom-panel_icons-list
{
    list-style: none;
    margin: 0;
    padding: 5px 0px;
    height: 44px;
    background: rgba(80, 80, 80, 0.16);
}

    .interface-bottom-panel_icons-list li
    {
        float: left;
        height: 38px;
        width: 38px;
        background-size: 100% !important;
        margin-left: 42px;
        background-repeat: no-repeat !important;
        cursor: pointer;
    }

    .icon-user
    {
        background: url(../img/interface/user.png);
    }

        .icon-user:hover
        {
            background: url(../img/interface/user-hover.png);
        }

    .icon-car
    {
        background: url(../img/interface/car.png);
        background-position-y: -5px !important;
        width: 42px !important;
    }

        .icon-car:hover
        {
            background: url(../img/interface/car-hover.png);
        }

    .icon-home
    {
        background: url(../img/interface/home.png);
        width: 30px !important;
        background-position-y: 6px !important;
    }

        .icon-home:hover
        {
            background: url(../img/interface/home-hover.png);
        }

    .icon-card
    {
        background: url(../img/interface/card.png);
        background-position-y: 3px !important;
    }

        .icon-card:hover
        {
            background: url(../img/interface/card-hover.png);
        }

    .icon-friends
    {
        background: url(../img/interface/friends.png);
        background-position-y: 4px !important;
    }

        .icon-friends:hover
        {
            background: url(../img/interface/friends-hover.png);
        }

    .icon-bag
    {
        width: 30px !important;
        background: url(../img/interface/bag.png);
        background-position-y: 8px !important;
    }

        .icon-bag:hover
        {
            background: url(../img/interface/bag-hover.png);
        }


.interface-bottom_info
{
    padding: 5px 10px;
}

.interface-bottom-vehicle-panel
{
    background: url(../img/interface/bg.png);
    position: absolute;
    width: 500px;
    height: 113px;
    left: calc(50% - 250px);
    background: url(../img/interface/bg.png);
    border-radius: 5px 5px 0 0;
    box-shadow: 0 5px 7px rgba(0, 0, 0, 0.65);
    border: 1px solid rgba(99, 99, 99, 0.55);
    bottom: 0;
}

.interface-bottom-vehicle-info
{
    height: 45px;
}

    .interface-bottom-vehicle_model-name
    {
        color: #fff;
        text-align: right;
        padding: 9px 0;
        font-weight: 300;
        font-size: 18px;
        float: left;
        width: 45%;
    }

    .interface-bottom-mileage
    {
        float: right;
        margin-top: 10px;
        margin-right: 17px;
    }

        .interface-bottom-mileage_number
        {
            color: #b2ff00;
            font-family: Digital;
            background: rgba(0, 0, 0, 0.37);
            padding: 3px;
            min-width: 8px;
            display: inline-block;
            margin-right: 5px;
        }

    .interface-bottom-vehicle_model-class
    {
        background: #607D8B;
        padding: 0 5px;
        font-size: 10px;
    }

.interface-rpm
{
    width: 100%;
    height: 4px;
    background: rgba(244, 67, 54, 0.28);
}

    .interface-rpm-bar
    {
        height: 4px;
        background: #F44336;
    }


.interface-speedometer
{
    text-align: center;
    color: #fff;
    height: 25px;
    font-weight: 600;
    background: rgba(0, 150, 136, 0.28);
}

    .interface-speedometer_bar
    {
        background: #009688;
        height: 25px;
        position: absolute;
    }

    .interface-speedometer_speed
    {
        position: absolute;
        z-index: 100;
        left: calc(50% - 25px);
        font-family: Digital;
        margin-top: 5px;
    }

.interface-vehicle-fuel_wrapper
{
    float: left;
    width: 32%;
    padding: 4px 26px;
}

.interface-vehicle-fuel
{
    display: inline-block;
    width: 67%;
    height: 24px;
    background: rgba(158, 158, 158, 0.17);
    margin-left: 9px;
    margin-bottom: 4px;
    border-radius: 3px;
}

    .interface-vehicle-fuel_bar
    {
        height: 24px;
        border-radius: 3px;
    }

        .bar-green
        {
            background: #4CAF50;
        }

        .bar-yellow
        {
            background: #eae53a;
        }

        .bar-red
        {
            background: #d20000;
        }

.blinking
{
    animation: blinker 2.4s ease infinite;
}

@keyframes blinker
{
    50% { opacity: 0; }
}

.interface-vehicle-lights
{
    float: right;
    width: 50%;
    padding: 4px 0;
}

    .vehicle-light-icon
    {
        display: inline-block;
        margin-right: 27px;
        height: 32px;
        width: 32px;
        background-size: 100% !important;
    }

        .icon-engine-off
        {
            background: url(../img/interface/engine-off.png);
        }

            .icon-engine-on
            {
                background: url(../img/interface/engine-on.png);
            }

            .icon-engine-starting
            {
                background: url(../img/interface/engine-starting.png);
            }

        .icon-oil-off
        {
            background: url(../img/interface/oil-off.png);
        }

            .icon-oil-on
            {
                background: url(../img/interface/oil-on.png);
            }

            .icon-oil-starting
            {
                background: url(../img/interface/oil-starting.png);
            }

        .icon-battery-off
        {
            background: url(../img/interface/battery-off.png);
        }

            .icon-battery-on
            {
                background: url(../img/interface/battery-on.png);
            }

            .icon-battery-starting
            {
                background: url(../img/interface/battery-starting.png);
            }

        .icon-cooliant-off
        {
            background: url(../img/interface/cooliant-off.png);
        }

            .icon-cooliant-on
            {
                background: url(../img/interface/cooliant-on.png);
            }

            .icon-cooliant-starting
            {
                background: url(../img/interface/cooliant-starting.png);
            }

        .icon-gas-off, .icon-gas-on, .icon-gas-starting
        {
            margin: 0 !important;
        }

        .icon-gas-off
        {
            background: url(../img/interface/gas-off.png);
        }

        .icon-gas-idle
        {
            background: url(../img/interface/gas-idle.png);
        }

            .icon-gas-on
            {
                background: url(../img/interface/gas-on.png);
            }

            .icon-gas-starting
            {
                background: url(../img/interface/gas-starting.png);
            }

.interface-customize-wrapper
{
    position: absolute;
    top: 50px;
    left: 30px;
    background: url(../img/interface/bg.png);
    border: 1px solid #f39c12;
    width: 500px;
    color: #fff;
    border-radius: 7px;
    padding: 17px;
}

    .interface-customize-p-info
    {
        font-size: 15px;
    }

    .interface-customize-type-button-image
    {
        width: 32px;
        height: 32px;
    }

    .interface-customize-wrapper h3
    {
        font-weight: 300;
        text-align: center;
    }

    .interface-customize-type-button
    {
        border: 2px solid #f39c12;
        width: 124px;
        height: 52px;
        display: inline-block;
        padding: 15px;
        text-align: center;
        border-radius: 12px;
        margin-right: 8px;
        margin-bottom: 15px;
    }

        .interface-customize-type-button:hover, .interface-customize-type-button-active
        {
            background: #565656;
            cursor: pointer;
        }

        .interface-customize-type-button span
        {
            display: block;
            font-size: 14px;
            font-weight: 300;
        }

    .interface-customize-face-shape-wrapper-global
    {
        text-align: center;
    }

        .interface-customize-face-shape-wrapper
        {
            display: inline-block;
            margin-right: 5px;
            width: 161px;
            margin-bottom: 5px;
            border-radius: 5px;
            background: rgba(255, 255, 255, 0.05);
        }

            .interface-customize-face-shape-wrapper span
            {
                display: block;
                font-size: 13px;
            }

.interface-customize-footer
{
    margin-top: 15px;
}

.alert
{
    padding: 10px 10px 10px 49px;
    margin: 13px 1px;
    border-radius: 5px;
}

    .alert-info
    {
        border: 2px solid #57abff;
        background: url(../img/interface/info.png) no-repeat rgba(0, 0, 0, 0.37);
        background-size: 36px;
        background-position-y: 50%;
        background-position-x: 8px;
    }

.btn
{
    padding: 5px 17px;
    font-family: 'Segoe UI';
    font-weight: 300;
    font-size: 15px;
    border-radius: 5px;
    cursor: pointer;
}
    .btn-default
    {
        background: #343434;
        color: #fff;
        border: 2px solid orange;
    }

        .btn-default:hover
        {
            background: #565656;
        }

        .btn-default:active
        {
            background: #4e4e4e;
        }

.float-right
{
    float: right;
}

.float-left
{
    float: left;
}